gdal_retile(1)

NAME
gdal_retile - gdal_retile.py gdal_retile - gdal_retily.py retiles a set of tiles and/or build tiled pyramid levels

SYNOPSIS

gdal_retile.py [-v] [-co NAME=VALUE]* [-of out_format] [-ps pixelWidth pixelHeight]
               [-ot  {Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/
                      CInt16/CInt32/CFloat32/CFloat64}]'
               [ -tileIndex tileIndexName [-tileIndexField tileIndexFieldName]]
               [ -csv fileName [-csvDelim delimiter]]
               [-s_srs srs_def]  [-pyramidOnly]
               [-r {near/bilinear/cubic/cubicspline}]
               -levels numberoflevels
               -targetDir TileDirectory input_files

DESCRIPTION

This utility will retile a set of input tile(s). All the input tile(s) must be georeferenced in the same coordinate system and have a matching number of bands. Optionally pyramid levels are generated. It is possible to generate shape file(s) for the tiled output.

If your number of input tiles exhausts the command line buffer, use the general --optfile option

-targetDir directory:
    The Directory where the tile result is created. Pyramids are stored in subdirs numbered from 1. Created tile names have a numbering schema and contain the name of the source tiles(s)

-of format:
    Output format, defaults to GeoTIFF (GTiff).

-co NAME=VALUE:
    Creation option for output file. Multiple options can be specified.

-ot datatype:
    Force the output image bands to have a specific type. Use type names (ie. Byte, Int16,...)

-ps pixelsize_x pixelsize_y:
    Pixel size to be used for the output file. If not specified, 256 x 256 is the default

-levels numberOfLevels:
    Number of pyramids levels to build.

-v: Generate verbose output of tile operations as they are done.

-pyramidOnly:
    No retiling, build only the pyramids

-r algorithm:
    Resampling algorithm, default is near

-s_srs srs_def:
    Source spatial reference to use. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFro‐mUserInput() call, which includes EPSG PCS and GCSes (ie.EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text. If no srs_def is given, the srs_def of the source tiles is used (if there is any). The srs_def will be propageted to created tiles (if possible) and to the optional shape file(s)

-tileIndex tileIndexName:
    The name of shape file containing the result tile(s) index

-tileIndexField tileIndexFieldName:
    The name of the attribute containing the tile name

-csv csvFileName:
    The name of the csv file containing the tile(s) georeferencing information. The file contains 5 columns: tilename,minx,maxx,miny,maxy

-csvDelim column delimiter:
    The column delimter used in the csv file, default value is a semicolon ';'

NOTE: gdal_merge.py is a Python script, and will only work if GDAL was built with Python support.

AUTHORS

Christian Mueller <christian.mueller@nvoe.at>